# -*- coding: utf-8 -*-
"""
@author: zsc
@time: 2024/11/18
@desc:  行为分析
"""

# 用户分群模块
class UserSegmentation:
    def __init__(self, behavior_data):
        self.behavior_data = behavior_data

    def segment(self):
        # 根据新的数据结构调整分群逻辑
        segments = {
            'high_activity': [],
            'medium_activity': [],
            'low_activity': []
        }
        for user, actions in self.behavior_data.items():
            total_actions = sum(actions.values())
            if total_actions > 10:
                segments['high_activity'].append(user)
            elif total_actions > 5:
                segments['medium_activity'].append(user)
            else:
                segments['low_activity'].append(user)
        return segments